Vulnerability Advisor 3 for IBM Cloud Container Registry Introduction Vulnerability Advisor checks the security status of container images that are provided by IBM, third parties, or added to your organization's registry namespace. Discontinued: Vulnerability Advisor version 3 is discontinued from 13 November 2023. For more information about how to update to version 4, see Vulnerability Advisor version 3 is being discontinued on 13 November 2023https://cloud.ibm.com/docs/Registry?topic=Registry-registrynoticesvav3. A different back-end technology is used in Vulnerability Advisor 4 for IBM Cloud Container Registry APIhttps://cloud.ibm.com/docs/apis/vulnerability-advisor. For more information about Vulnerability Advisor, see Managing image security with Vulnerability Advisorhttps://cloud.ibm.com/docs/Registry?topic=Registry-vaindex&interface=ui. For more information about IBM Cloud® Container Registry, see About IBM Cloud Container Registryhttps://cloud.ibm.com/docs/Registry?topic=Registry-registryoverviewregistryoverview. For more information about IBM Cloud Kubernetes Service, see Getting started with IBM Cloud Kubernetes Servicehttps://cloud.ibm.com/docs/containers?topic=containers-getting-started. The code examples on this tab use the client library that is provided for Node.js. bash npm install @ibm-cloud/ibm-container-registry GitHub https://github.com/IBM/container-registry-node-sdk The code examples on this tab use the client library that is provided for Go. bash go get -u github.com/IBM/container-registry-go-sdk GitHub https://github.com/IBM/container-registry-go-sdk The code examples on this tab use the client library that is provided for Python. bash pip install --upgrade "ibm-container-registry" GitHub https://github.com/IBM/container-registry-python-sdk The code examples on this tab use the client library that is provided for Java. Gradle groovy compile group: 'com.ibm.cloud', name: 'vulnerability-advisor', version: '0.+' Maven Maven installation instructionshttps://github.com/IBM/container-registry-java-sdk/maven GitHub https://github.com/IBM/container-registry-java-sdk Endpoint URL The endpoint for the Vulnerability Advisor for IBM Cloud Container Registry API is in the format: https://Method Path Summary GET /va/api/v4/report/account Get the vulnerability assessment for all images GET /va/api/v4/report/account/status Get vulnerability assessment status for all images GET /va/api/v4/report/image/{name} Get vulnerability assessment GET /va/api/v4/report/image/status/{name} Get vulnerability assessment status GET /va/api/v4/exempt/image List account level exemptions GET /va/api/v4/exempt/image/issue/{issueType}/{issueID} Get an account level exemption POST /va/api/v4/exempt/image/issue/{issueType}/{issueID} Create or update an account level exemption DELETE /va/api/v4/exempt/image/issue/{issueType}/{issueID} Delete an account level exemption GET /va/api/v4/exempt/image/{resource} List resource exemptions GET /va/api/v4/exempt/image/{resource}/issue/{issueType}/{issueID} Get details of a resource exemption POST /va/api/v4/exempt/image/{resource}/issue/{issueType}/{issueID} Create or update a resource exemption DELETE /va/api/v4/exempt/image/{resource}/issue/{issueType}/{issueID} Delete a resource exemption GET /va/api/v4/exempt/types List the types of exemption GET /va/api/v4/exemptions/account List all exemptions POST /va/api/v4/exemptions/deleteAll Delete all exemptions GET /va/api/v4/exemptions/image/{resource} List image exemptions POST /va/api/v4/exemptions/images List exemptions for images